org.eclipse.swt.events

## Interface ShellListener

All Known Implementing Classes:
  ShellAdapter

    public interface ShellListener

Classes which implement this interface provide methods that deal with changes in state of `Shell`s.

After creating an instance of a class that implements this interface it can be added to a shell using the `addShellListener` method and removed using the `removeShellListener` method. When the state of the shell changes, the appropriate method will be invoked.

See Also:
  `ShellAdapter`, `ShellEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `shellActivated(ShellEvent e)` Sent when a shell becomes the active window.
`void` `shellClosed(ShellEvent e)` Sent when a shell is closed.
`void` `shellDeactivated(ShellEvent e)` Sent when a shell stops being the active window.

### Method Detail

#### shellActivated

    void shellActivated(ShellEvent e)

Sent when a shell becomes the active window.

Parameters:
  `e` - an event containing information about the activation

#### shellClosed

    void shellClosed(ShellEvent e)

Sent when a shell is closed.

Parameters:
  `e` - an event containing information about the close

#### shellDeactivated

    void shellDeactivated(ShellEvent e)

Sent when a shell stops being the active window.

Parameters:
  `e` - an event containing information about the deactivation

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0